//
//
//      Copyright (C) 2002 - 2008 SophiaCradle, Inc.
//      All rights reserved.
//
//
//      nico.hpp
//
#ifndef __NICO
#define __NICO


SFMTYPEDEFCLASS(nico)
class nico : public SFCApplication
{
private:
    SFXGraphicsPtr             _graphics;
    Bool                    _pressed;

public:
    static SFCInvokerPtr Factory(Void) { return new nico; }

private:
    nico(Void);
    virtual ~nico(Void);

    virtual Bool HandleEvent(SFXEventConstRef event);
    virtual Bool HandleRender(SFXEventConstRef event);
    Bool OnAppStart(Void);
    Bool OnAppStop(Void);
    Bool OnAppSuspend(Void);
    Bool OnAppResume(Void);
    Bool OnKey(UInt16 key);
    Bool OnKeyPress(UInt16 key);
    Bool OnKeyRelease(UInt16 key);
    Void DrawFace(Void);

};

#endif // __NICO //
